/***************************************************************************
 NOTERECORD - simple MIDI recorder for the NOTEMIDI Linux serial port MIDI module

	(C) 2000 by Michael Minn - nycminn@earthlink.net

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

****************************************************************************/

#include <stdio.h>
#include <signal.h>
#include "libnotemidi.h"


int main(int argc, char **argv)
{
	puts("NOTERECORD " LIBNOTEMIDI_VERSION "\n");
	
	if ((argc == 4) && (strcmp(argv[1], "-m") == 0))
	{
		libnotemidi midi_port(argv[2]);
		midi_port.record_midi_file(argv[3]);
	}
	
	else if ((argc == 4) && (strcmp(argv[1], "-s") == 0))
	{
		libnotemidi midi_port(argv[2]);
		midi_port.set_serial_port_attributes();
		midi_port.record_midi_file(argv[3]);
	}
		
	else if (argc == 2)
	{
		libnotemidi midi_port("/dev/ms124w");
		midi_port.record_midi_file(argv[1]);
	}
	else
	{
		printf("SYNTAX: noterecord [-m <MS-124 device name>] <midi file name>\n");
		printf("SYNTAX: noterecord [-s <serial port device name>] <midi file name>\n");
		return -1;
	}
		
		
	return 0;
}

